# Known Issues

* Kubernetes upgrade from 1.5 -> 1.6 requires a configmap to be created in the kube-system namespace to minimize downtime. If `kubectl -n kube-system get configmap kube-dns` does not already have a configmap, BEFORE upgrade you can execute `kubectl create configmap -n kube-system kube-dns`.
* Kubernetes changed taints from an annotation in 1.5, to a field in 1.6.    Editing the taints by hand is a workaround for any issues. See: [#2594](https://github.com/kubernetes/kops/issues/2594)
* Some Kubernetes upgrades from 1.6.x -> 1.6.x have experience issues with secrets and service accounts. Deleting the secrets have been a workaround (not validated). See: #2576

---

## Fixed in 1.6.1

* Calico users have noticed problems using Calico with Kubernetes 1.6
* "hairpin" connections back to the same pod were causing issues for CNI providers

---

## Fixed in 1.6.2

* Upgrade to weave 1.9.8 fixes issues with NodePorts

